#
# spec file for package oracle-config
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define oracle_base /opt/apps/oracle

Summary:        Oracle configuration files

Name:           oracle-config
Version:        1.1
Release:        1.3
License:        "(c) Oracle Corp, Red Hat Inc. redistributable ..."; (c) Oracle Corp, Red Hat Inc. redistributable
Group:          Productivity/Databases/Tools
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source10:       oracle.sh
Source11:       oracle.csh
Source12:       oraenv
Source13:       coraenv
Source14:       dbhome
Requires(pre): /usr/sbin/useradd
Requires(pre): /usr/sbin/groupadd
Requires(pre): /usr/bin/getent
Requires(pre): shadow-utils
# Package httpd is needed to add group apache to user oracle
Requires(pre): httpd
Obsoletes:      oracle-instantclient-config <= 10.2.0
Obsoletes:      oracle-devel < 10.2.0
Obsoletes:      oracle-devel-static < 10.2.0
Obsoletes:      oracle-devel-jdbc < 10.2.0
%if 0%{?suse_version}
BuildRequires:  apache2
%endif

%description
Configuration files for Oracle.



%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}

%__install -d -m 755 %{buildroot}%{_sysconfdir}/profile.d
%__install %{SOURCE10} %{SOURCE11} %{buildroot}%{_sysconfdir}/profile.d
%__install -d -m 755 %{buildroot}%{_bindir}
%__install %{SOURCE12} %{SOURCE13} %{SOURCE14} %{buildroot}%{_bindir}
touch %{buildroot}%{_sysconfdir}/tnsnames.ora
touch %{buildroot}%{_sysconfdir}/oratab

%clean
rm -rf %{buildroot}

%pre
# Add the oracle.dba setup
%if 0%{?suse_version}
getent group dba >/dev/null    || groupadd -r dba
getent group oracle >/dev/null || groupadd -r oracle
%else
getent group dba >/dev/null    || groupadd -fr dba
getent group oracle >/dev/null || groupadd -fr oracle
%endif
getent passwd  oracle >/dev/null || \
        useradd -g oracle -c "Oracle Server" \
                -r -d %{oracle_base} oracle
%if 0%{?suse_version}
id -nG oracle | grep '\<dba\>' >/dev/null || usermod -A dba oracle
id -nG oracle | grep '\<apache\>' >/dev/null || usermod -A www oracle
%else
id -nG oracle | grep '\<dba\>' >/dev/null || usermod -a -G dba oracle
id -nG oracle | grep '\<apache\>' >/dev/null || usermod -a -G apache oracle
%endif
exit 0

%files
%defattr(-,root,root)
%attr(-,oracle,dba) %config(noreplace) %{_sysconfdir}/tnsnames.ora
%attr(-,oracle,dba) %config(noreplace) %{_sysconfdir}/oratab
%{_sysconfdir}/profile.d/oracle.sh
%{_sysconfdir}/profile.d/oracle.csh
%{_bindir}/oraenv
%{_bindir}/coraenv
%{_bindir}/dbhome

%changelog
* Thu Dec  9 2010 mc@suse.de
- initial release
